列出Keys

列出集合中的键,支持分页和前缀过滤。

身份验证

需要内部身份验证。通过 X-Glue-Authentication 头部或 apikeysecret 头部传递凭据。

路径参数

参数 类型 描述
col string 集合名称

查询参数

参数 类型 描述
limit integer 返回的最大键数(默认:100)
prefix string 按前缀过滤键

请求示例

curl "https://api.hola.cloud/v1/collections/users/keys?prefix=user:&limit=10" \
  -H "X-Glue-Authentication: YOUR_AUTH_TOKEN"
GET /v1/collections/users/keys?prefix=user:&limit=10 HTTP/1.1
Host: api.hola.cloud
X-Glue-Authentication: YOUR_AUTH_TOKEN
package main

import (
	"fmt"
	"io"
	"net/http"
)

func main() {
	req, err := http.NewRequest("GET", "https://api.hola.cloud/v1/collections/users/keys?prefix=user:&limit=10", nil)
	if err != nil {
		panic(err)
	}
	req.Header.Set("X-Glue-Authentication", "YOUR_AUTH_TOKEN")

	resp, err := http.DefaultClient.Do(req)
	if err != nil {
		panic(err)
	}
	defer resp.Body.Close()

	responseBody, err := io.ReadAll(resp.Body)
	if err != nil {
		panic(err)
	}
	fmt.Println(string(responseBody))
}
<?php
$ch = curl_init();

curl_setopt_array($ch, [
    CURLOPT_URL => 'https://api.hola.cloud/v1/collections/users/keys?prefix=user:&limit=10',
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_CUSTOMREQUEST => 'GET',
    CURLOPT_HTTPHEADER => [
        'X-Glue-Authentication: YOUR_AUTH_TOKEN',
    ],
]);

$response = curl_exec($ch);
if ($response === false) {
    throw new Exception(curl_error($ch));
}
curl_close($ch);

echo $response;
import requests

headers = {
    "X-Glue-Authentication": "YOUR_AUTH_TOKEN",
}

response = requests.request(
    "GET",
    "https://api.hola.cloud/v1/collections/users/keys?prefix=user:&limit=10",
    headers=headers
)

print(response.text)
const response = await fetch("https://api.hola.cloud/v1/collections/users/keys?prefix=user:&limit=10", {
  method: "GET",
  headers: {
    "X-Glue-Authentication": "YOUR_AUTH_TOKEN"
  }
});

console.log(await response.text());
const response = await fetch("https://api.hola.cloud/v1/collections/users/keys?prefix=user:&limit=10", {
  method: "GET",
  headers: {
    "X-Glue-Authentication": "YOUR_AUTH_TOKEN"
  }
});

const text = await response.text();
console.log(text);
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;

public class Main {
    public static void main(String[] args) throws Exception {
        var request = HttpRequest.newBuilder()
            .uri(URI.create("https://api.hola.cloud/v1/collections/users/keys?prefix=user:&limit=10"))
            .method("GET", HttpRequest.BodyPublishers.noBody())
            .header("X-Glue-Authentication", "YOUR_AUTH_TOKEN")
            .build();

        var response = HttpClient.newHttpClient().send(request, HttpResponse.BodyHandlers.ofString());
        System.out.println(response.body());
    }
}

响应示例

1HTTP/1.1 200 OK
2Content-Type: application/json
 1{
 2  "items": [
 3    {
 4      "key": "user:1001",
 5      "value": { "name": "Alice" },
 6      "version": 1,
 7      "updatedAt": "2025-06-20T15:30:00Z"
 8    },
 9    {
10      "key": "user:1002",
11      "value": { "name": "Bob" },
12      "version": 1,
13      "updatedAt": "2025-06-21T08:00:00Z"
14    }
15  ],
16  "next": "user:1002"
17}

错误代码

状态 代码 描述
403 forbidden Missing authentication headers
404 not_found 未找到集合
500 internal_error 服务器内部错误

评论

发表评论